-- Customer specific once-script
--
-- (c) 2016 Facilitor B.V.
--
-- Support: +31 53 4800700
SET ECHO ON
SPOOL xNYBU37867.lst
SET DEFINE OFF

-- Kenmerkdomein studentenkamers
CREATE OR REPLACE VIEW nybu_v_studentenkamers
AS
   SELECT r.alg_ruimte_key,
             g.alg_gebouw_code
          || '-'
          || v.alg_verdieping_volgnr
          || '-'
          || r.alg_ruimte_nr
          || ' ('
          || r.alg_ruimte_omschrijving
          || ', '
          || sr.alg_srtruimte_omschrijving
          || ')'
             ruimte_oms
     FROM alg_v_aanwezigruimte r,
          alg_verdieping v,
          alg_gebouw g,
          alg_srtruimte sr
    WHERE     v.alg_gebouw_key = g.alg_gebouw_key
          AND r.alg_verdieping_key = v.alg_verdieping_key
          AND r.alg_srtruimte_key IN (56, 43, 58, 39, 121, 141,101)
          AND sr.alg_srtruimte_key = r.alg_srtruimte_key;

COMMIT;
BEGIN adm.systrackscriptId('$Id$'); END;
/
SPOOL OFF
